Skip to main content
POST
Create a Transaction

Authorizations

Authorization
string
header
required

API key for authentication. Get your key from the Dashboard > Settings > API Access.

Query Parameters

force
string

Force create the transaction if it already exists

Body

application/json
totalAmount
number
required

The total amount of the transaction. Same as the sum of the Total Credit = Total Debit.

transactionDate
string<date-time>
required

The transaction date of the transaction

paymentMethod
enum<string>
required

The payment method of the transaction

Available options:
CASH,
CHEQUE,
NEFT,
IMPS,
UPI,
CARD,
TRANSFER,
OTHER
isReconciled
boolean
required

The reconciliation status of the transaction

entries
object[]
required

The entries of the transaction

refNo
string | null

The reference number of the transaction

currency
string | null

The currency of the transaction. Use default currency if not provided

counterParty
string | null

The counter party id of the transaction. Expected to be a valid object id like 666666666666666666666666

Pattern: ^[0-9A-Fa-f]{24}$
account
string | null

The account id of the transaction. Expected to be a valid object id like 666666666666666666666666

Pattern: ^[0-9A-Fa-f]{24}$

Response

Create a Transaction executed successfully

message
string

Success message

metaData
object
data
object

The response of the transaction creation. CREATED if transaction created successfully, ALREADY_EXISTS if similar transaction already exists, send query params force=true to override